Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class TaxCharges2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.TaxCharges2

public class TaxCharges2 extends Object

Java class for TaxCharges2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxCharges2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}PercentageRate" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected String`
`id`
`protected BigDecimal`
`rate`

## Constructor Summary

Constructors
Constructor
Description
`TaxCharges2()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`String`
`getId()`
Gets the value of the id property.
`BigDecimal`
`getRate()`
Gets the value of the rate property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setRate(BigDecimal value)`
Sets the value of the rate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### rate

protected BigDecimal rate

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

## Constructor Details

### TaxCharges2

public TaxCharges2()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getRate

public BigDecimal getRate()
Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

### setRate

public void setRate(BigDecimal value)
Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`